
ISIS - Bug #2214

Redundant constructor for ShapeModel

2015-01-16 01:27 PM - Jean Backer

Status: Closed   

Priority: Normal   

Assignee: Kelvin Rodriguez   

Category: API   

Target version: 3.4.13 (FY16 R3 2016-08-31 Aug)   

Impact: ShapeModel class no longer has

constructor SampleClass(Target, Pvl).

This does not affect ISIS applications.

Software Version:  

Description

The ShapeModel class constructor that takes a pvl and a target is redundant. The pvl is not used, so this constructor is identical to

the constructor that takes only a target.

ShapeModel::ShapeModel(Target *target, Pvl &pvl) {

Initialize();

m_target = target;

} 

History

#1 - 2015-01-16 02:11 PM - Stuart Sides

- Status changed from New to Acknowledged

#2 - 2016-06-13 09:14 AM - Stuart Sides

- Status changed from Acknowledged to Assigned

- Assignee set to Kelvin Rodriguez

- Target version set to 3.4.13 (FY16 R3 2016-08-31 Aug)

#3 - 2016-06-13 09:31 AM - Kelvin Rodriguez

- Status changed from Assigned to In Progress

#4 - 2016-06-13 03:22 PM - Kelvin Rodriguez

- Impact updated

#5 - 2016-06-13 03:24 PM - Kelvin Rodriguez

- Status changed from In Progress to Resolved

#6 - 2016-06-23 11:58 AM - Jean Backer

- Status changed from Resolved to Closed
